Can't decode x509 certificate for openVPN, error "Segmentation fault (core dump)



  • I build the pfsense 2.2.3 successfully but I have a big problem with openvpn :(

    When I try to create new Certificate from created CA, the server return error 500 :(

    After trace the code I found out the openssl can't decode x509 certificate and it return error "Segmentation fault (core dumped)"

    uname -a: FreeBSD pfsense.localdomain 10.1-RELEASE-p38 FreeBSD 10.1-RELEASE-p38 #72 97e9baf(releng/10.1)

    kernel: sys/pfSense_SMP.10  amd64

    php -v:
    PHP 5.5.26 (cgi-fcgi) (built: Sep 28 2016 15:40:24)
        Copyright © 1997-2015 The PHP Group
        Zend Engine v2.5.0, Copyright (c) 1998-2015 Zend Technologies
          with Xdebug v2.4.0, Copyright (c) 2002-2016, by Derick Rethans
          with Suhosin v0.9.38, Copyright (c) 2007-2015, by SektionEins GmbH

    I installed php55-openssl-5.5.27 package too, but did not work!

    Can you help me please?! what is the problem exactly and how I can fix it?


  • Rebel Alliance Developer Netgate

    Why such an old version? Try it again on pfSense 2.3.2, or at least 2.2.6.


Log in to reply